| Haskell Hierarchical Libraries (base package) | Contents | Index

Data.Bool

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Contents

Booleans
  Operations

Description
The `Bool` type and related functions.
Synopsis

data Bool

= False
| True

(&&) :: Bool -> Bool -> Bool
(||) :: Bool -> Bool -> Bool
not :: Bool -> Bool
otherwise :: Bool

Booleans
data Bool

The `Bool` type is an enumeration. It is defined with `False` first so that the corresponding `Enum` instance will give `fromEnum` `False` the value zero, and `fromEnum` `True` the value 1.
Constructors

False |
True |

Instances

Bounded Bool
Data Bool
Enum Bool
Eq Bool
Ix Bool
NFData Bool
Ord Bool
Random Bool
Read Bool
Show Bool
Storable Bool
Typeable Bool
IArray UArray Bool
MArray IOUArray Bool IO
MArray (STUArray s) Bool (ST s)
Ix ix => Eq (UArray ix Bool)
Ix ix => Ord (UArray ix Bool)
(Ix ix, Show ix) => Show (UArray ix Bool)

Operations
(&&) :: Bool -> Bool -> Bool
Boolean "and"
(||) :: Bool -> Bool -> Bool
Boolean "or"
not :: Bool -> Bool
Boolean "not"
otherwise :: Bool

`otherwise` is defined as the value `True`. It helps to make guards more readable. eg.

      f x | x < 0     = ...
          | otherwise = ...

Produced by Haddock version 0.7